'use strict';

var bytes_js = require('multiformats/bytes.js');

const create = function base16 (alphabet) {
  return {
    encode: input => bytes_js.toHex(input),
    decode (input) {
      for (const char of input) {
        if (alphabet.indexOf(char) < 0) {
          throw new Error('invalid base16 character')
        }
      }
      return bytes_js.fromHex(input)
    }
  }
};

var base16 = { prefix: 'f', name: 'base16', ...create('0123456789abcdef') };

module.exports = base16;
