'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var index_js = require('multiformats/index.js');
var raw = _interopDefault(require('multiformats/codecs/raw.js'));
var json = _interopDefault(require('multiformats/codecs/json.js'));
var base32 = _interopDefault(require('multiformats/bases/base32.js'));
var base64 = _interopDefault(require('multiformats/bases/base64.js'));
var sha2 = _interopDefault(require('multiformats/hashes/sha2.js'));

const multiformats = index_js.create();
multiformats.multihash.add(sha2);
multiformats.multicodec.add([raw, json]);
multiformats.multibase.add([base32, base64]);

module.exports = multiformats;
