'use strict';

var fs = require('fs');
var path = require('path');

const dir = 'dist';
const preserveModules = true;
const configs = [];
for (const subdir of ['test', 'bases', 'hashes', 'codecs', '.']) {
  const output = { dir: path.join(dir, subdir), preserveModules, format: 'cjs', entryFileNames: '[name].cjs' };
  const testdir = path.join(__dirname, subdir);
  const filter = name => name.endsWith('.js');
  const createConfig = f => ({ input: path.join(subdir, f), output });
  fs.readdirSync(testdir).filter(filter).map(createConfig).forEach(c => configs.push(c));
}
console.log(configs);

module.exports = configs;
